<!--
Copyright © Institut für Qualitätsentwicklung an Schulen Schleswig-Holstein (IQSH)

SPDX-License-Identifier: AGPL-3.0-or-later
-->

<script setup lang="ts">
//import Tooltip from '@/components/general/Tooltip.vue';
const props = defineProps<{
    icon: string,
    tooltip: string,
    color?: string
}>();

const emits = defineEmits<{
    (e: 'click'): void
}>();

const clickHandler = () => {
    emits('click');
}

</script>
<template>
    <Tooltip :tooltip="tooltip" @click="clickHandler" :offset="5">
        <div class="flex justify-center"><button
                class="size-8 leading-8 text-center align-middle hover:bg-gray-100 rounded-md"><i
                    :class="[`ri-${icon}-line ri-lg`, color]"></i></button></div>
    </Tooltip>
</template>